Bug 144613 - yum - misleading description of pattern matching in docs
yum - misleading description of pattern matching in docs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 15:08 EST by Michal Jaegermann
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-09 22:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-01-09 15:08:11 EST
Description of problem:

'man yum' repeteadly talks about matching package names with
regular expressions but when one tries to use them it turns
out that these "regular expressions" are really shell matching
patterns, a.k.a. "wildcards", which are quite different things.

For example a command

    yum list installed 'kernel*24*'

lists non-matching as a regular expression

Installed Packages
kernel.x86_64                            2.6.9-1.724_FC3    installed

A pattern like 'kernel*24????' will also be fine; but if one will
indeed try to use a regular expression instead

   yum list installed 'kernel.*24.*'   
   
then on my FC3 installation this returns silently.  The same with
any other yum request I tried.
Comment 1 Seth Vidal 2005-01-09 22:38:28 EST
Cool. Fixed up the manpage in cvs.
thanks
Comment 2 Michal Jaegermann 2005-02-28 15:58:53 EST
In a sense Seth is right as manpage now says:

    All the list  options  mentioned  above  take  file-glob-syntax
    wildcards  or  package names as arguments, for example yum list
    available foo* will list  all  available  packages  that  match
    foo*.

but in descriptions above one can see 'regexp1' and 'regexp2'
everywhere.  One needs to be a "documentation lawyer" to notice
that this "regexp" is not really a "regexp".

A global 's/regexp/filespec/' on a manpage would make that much
cleaner.

Note You need to log in before you can comment on or make changes to this bug.